Package pygccxml :: Package parser :: Module directory_cache :: Class index_entry_t

# ClassType index_entry_t

source code

Entry of the index table in the directory cache index.

Each cached header file (i.e. each *.cache file) has a corresponding index_entry_t object. This object is used to determine whether the cache file with the declarations is still valid or not.

This class is a helper class for the directory_cache_t class.

Instance Methods

__init__(self, filesigs, configsig) Constructor. | source code

__getstate__(self) | source code

__setstate__(self, state) | source code

Method Details

### __init__(self, filesigs, configsig)
(Constructor)

source code

Constructor.

filesigs is a list of tuples (fileid, sig)... configsig is the signature of the configuration object.